Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.squawk.platform.posix.natives
Class LibC.stat

    java.lang.Object
      com.sun.cldc.jna.Structure
          com.sun.squawk.platform.posix.natives.LibCImpl.statImpl
              com.sun.squawk.platform.posix.natives.LibC.stat

Enclosing interface:
  LibC

    public static class LibC.stat

extends LibCImpl.statImpl

C struct stat // struct stat { // dev_t st_dev; /* [XSI] ID of device containing file 4 0 // ino_t st_ino; /* [XSI] File serial number 4 4 // mode_t st_mode; /* [XSI] Mode of file (see below) 2 8 // nlink_t st_nlink; /* [XSI] Number of hard links 2 10 // uid_t st_uid; /* [XSI] User ID of the file 4 12 // gid_t st_gid; /* [XSI] Group ID of the file 4 16 // dev_t st_rdev; /* [XSI] Device ID 4 20 // time_t st_atime; /* [XSI] Time of last access 4 24 // long st_atimensec; /* nsec of last access 4 28 // time_t st_mtime; /* [XSI] Last data modification time 4 32 // long st_mtimensec; /* last data modification nsec 4 36 // time_t st_ctime; /* [XSI] Time of last status change 4 40 // long st_ctimensec; /* nsec of last status change 4 44 // off_t st_size; /* [XSI] file size, in bytes 8 48 // blkcnt_t st_blocks; /* [XSI] blocks allocated for file 8 // blksize_t st_blksize; /* [XSI] optimal blocksize for I/O 4 // __uint32_t st_flags; /* user defined flags for file 4 // __uint32_t st_gen; /* file generation number 4 // __int32_t st_lspare; /* RESERVED: DO NOT USE! 4 // __int64_t st_qspare[2]; /* RESERVED: DO NOT USE! 16 // };

Field Summary
`int` | `st_mode` mode_t
`int` | `st_mtime` time_t Last data modification time
`long` | `st_size` file size, in bytes

Fields inherited from class com.sun.squawk.platform.posix.natives.LibCImpl.statImpl
`EPERM, STAT_SIZE`

Fields inherited from class com.sun.cldc.jna.Structure
`backingNativeMemory, NULL`

Constructor Summary
`LibC.stat()`

Method Summary

Methods inherited from class com.sun.squawk.platform.posix.natives.LibCImpl.statImpl
`read, size, write`

Methods inherited from class com.sun.cldc.jna.Structure
`allocateMemory, allocateMemory, clear, freeMemory, getPointer, release, toString, useMemory`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### st_mode

    public int st_mode

  mode_t

### st_mtime

    public int st_mtime

  time_t Last data modification time

### st_size

    public long st_size

  file size, in bytes

Constructor Detail

### LibC.stat

    public LibC.stat()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"